function RES=change(ARG)
% База - фирмы по строкам
% Меняет нулевые значения по строкам на предыдущее значение

[m,n]=size(ARG);
for i=1:m
%    index=n;
%    while (ARG(i,index)==0)
%        index=index-1;
%    end
    if ((ARG(i,1)==0) || (ARG(i,1)==-1))
        index=2;
        while ((ARG(i,index)==0) || (ARG(i,index)==-1))
            index=index+1;
        end
        ARG(i,1)=ARG(i,index);
    end
    for j=2:n
        if ((ARG(i,j)==0) || (ARG(i,j)==-1))
            ARG(i,j)=ARG(i,j-1);
        end
    end
end
RES=ARG;